IGMPlot 3.16 Optimized IGMplot version able to use wfn/wfx/xyz files

Loading...
Searching...
No Matches
Functions
eig3.h File Reference

Eigen-decomposition for symmetric 3x3 real matrices.Public domain, copied from the public domain Java library JAMA. More...

`#include <general.h>`
Include dependency graph for eig3.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
double | hypot2 (double x, double y)
| Tool function making hypotenus computation.
void | tred2 (double V[3][3], double d[3], double e[3])
| This is derived from the Algol procedures tred2 by Bowdler, Martin, Reinsch, and Wilkinson, Handbook for Auto. Comp., Vol.ii-Linear Algebra, and the corresponding Fortran subroutine in EISPACK.
void | tql2 (double V[3][3], double d[3], double e[3])
| This is derived from the Algol procedures tql2, by Bowdler, Martin, Reinsch, and Wilkinson, Handbook for Auto. Comp., Vol.ii-Linear Algebra, and the corresponding Fortran subroutine in EISPACK.
void | eigen_decomposition (double **A, double V[3][3], double d[3])
| Symmetric matrix A => eigenvectors in columns of V, corresponding eigenvalues in d.

## Detailed Description

Eigen-decomposition for symmetric 3x3 real matrices.Public domain, copied from the public domain Java library JAMA.

## Function Documentation

## ◆ eigen_decomposition()

void eigen_decomposition | ( | double ** | A,
|  | double | V[3][3],
|  | double | d[3] )

Symmetric matrix A => eigenvectors in columns of V, corresponding eigenvalues in d.

Warning
  first parameter is a double** but is considered as A[3][3]

Parameters

  A | symmetric matrix
  V | eigen vectors
  d | eigen values

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ hypot2()

double hypot2 | ( | double | x,
|  | double | y )

Tool function making hypotenus computation.

Parameters

  x |
  y |

Returns
  the result of sqrt(x*x+y*y)

Here is the caller graph for this function:

## ◆ tql2()

void tql2 | ( | double | V[3][3],
|  | double | d[3],
|  | double | e[3] )

This is derived from the Algol procedures tql2, by Bowdler, Martin, Reinsch, and Wilkinson, Handbook for Auto. Comp., Vol.ii-Linear Algebra, and the corresponding Fortran subroutine in EISPACK.

Parameters

  V | eigen vectors
  d | eigen values
  e | TO DOCUMENT

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ tred2()

void tred2 | ( | double | V[3][3],
|  | double | d[3],
|  | double | e[3] )

This is derived from the Algol procedures tred2 by Bowdler, Martin, Reinsch, and Wilkinson, Handbook for Auto. Comp., Vol.ii-Linear Algebra, and the corresponding Fortran subroutine in EISPACK.

Parameters

  V | eigen vectors
  d | eigen values
  e | TO DOCUMENT

Here is the caller graph for this function: